# H4509_CcLongArg Class Reference

`#include <h4509.h>`

Inheritance diagram for H4509_CcLongArg:

List of all members.

## Public Types

enum | OptionalFields { e_numberA, e_numberB, e_ccIdentifier, e_service, e_extension }

## Public Member Functions

| H4509_CcLongArg (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4501_EndpointAddress | m_numberA
H4501_EndpointAddress | m_numberB
H225_CallIdentifier | m_ccIdentifier
H4507_BasicService | m_service
H4509_ArrayOf_MixedExtension | m_extension

## Member Enumeration Documentation

enum H4509_CcLongArg::OptionalFields

Enumerator:

  e_numberA |
  e_numberB |
  e_ccIdentifier |
  e_service |
  e_extension |

## Constructor & Destructor Documentation

H4509_CcLongArg::H4509_CcLongArg | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4509_CcLongArg::GetDataLength | ( |  | ) | const

PBoolean H4509_CcLongArg::Decode | ( | PASN_Stream & | strm | ) |

void H4509_CcLongArg::Encode | ( | PASN_Stream & | strm | ) | const

void H4509_CcLongArg::PrintOn | ( | ostream & | strm | ) | const

Comparison H4509_CcLongArg::Compare | ( | const PObject & | obj | ) | const

PObject* H4509_CcLongArg::Clone | ( |  | ) | const

## Member Data Documentation

H4501_EndpointAddress H4509_CcLongArg::m_numberA

H4501_EndpointAddress H4509_CcLongArg::m_numberB

H225_CallIdentifier H4509_CcLongArg::m_ccIdentifier

H4507_BasicService H4509_CcLongArg::m_service

H4509_ArrayOf_MixedExtension H4509_CcLongArg::m_extension

The documentation for this class was generated from the following file:

- h4509.h